rte_crypto_rsa_op_param(3)

NAME
rte_crypto_rsa_op_param

SYNOPSIS

#include <rte_crypto_asym.h>

  Data Fields

enum rte_crypto_asym_op_type op_type
rte_crypto_param message
rte_crypto_param cipher
rte_crypto_param sign

Detailed Description

RSA operation params

Definition at line 444 of file rte_crypto_asym.h.

Field Documentation

  enum rte_crypto_asym_op_type op_type
Type of RSA operation for transform

Definition at line 445 of file rte_crypto_asym.h.

  rte_crypto_param message
Pointer to input data

•   to be encrypted for RSA public encrypt.

•   to be signed for RSA sign generation.

•   to be authenticated for RSA sign verification.

Pointer to output data

•   for RSA private decrypt. In this case the underlying array should have been allocated with enough memory to hold plaintext output (i.e. must be at least RSA key size). The message.length field could be either 0 or minimal length expected from PMD. This could be validated and overwritten by the PMD with the decrypted length.

Definition at line 448 of file rte_crypto_asym.h.

  rte_crypto_param cipher
Pointer to input data

•   to be decrypted for RSA private decrypt.

Pointer to output data

•   for RSA public encrypt. In this case the underlying array should have been allocated with enough memory to hold ciphertext output (i.e. must be at least RSA key size). The cipher.length field could be either 0 or minimal length expected from PMD. This could be validated and overwritten by the PMD with the encrypted length.

When RTE_CRYPTO_RSA_PADDING_NONE and RTE_CRYPTO_ASYM_OP_VERIFY selected, this is an output of decrypted signature.

Definition at line 465 of file rte_crypto_asym.h.

  rte_crypto_param sign
Pointer to input data

•   to be verified for RSA public decrypt.

Pointer to output data

•   for RSA private encrypt. In this case the underlying array should have been allocated with enough memory to hold signature output (i.e. must be at least RSA key size). The sign.length field could be either 0 or minimal length expected from PMD. This could be validated and overwritten by the PMD with the signature length.

Definition at line 483 of file rte_crypto_asym.h.

Author

Generated automatically by Doxygen for DPDK from the source code.